cURL
curl --location --request PUT 'https://app.sbai.cloud/api/external/upload' \
--header 'client-id: your-client-id' \
--header 'private-key: your-private-key' \
--header 'secret: your-secret' \
--form 'files=@/path/to/file1.pdf' \
--form 'files=@/path/to/file2.pdf'import requests
url = 'https://app.sbai.cloud/api/external/upload'
headers = {
'client-id': '0fbc9cf2-595a-4068-a643-a58d764514df',
'private-key': 'pk-5d72029b',
'secret': 'sk-5d72029b34dbc6c89f837ec8f2413b734fd37b2a681bd2f58d'
}
files = [
('files', open('/path/to/file1.pdf', 'rb')),
('files', open('/path/to/file2.pdf', 'rb'))
]
response = requests.put(url, headers=headers, files=files)
print(response.json()){
"message": "The files has been uploaded and is being processed. Please wait a moment."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Upload Document
PUT
/
external
/
upload
cURL
curl --location --request PUT 'https://app.sbai.cloud/api/external/upload' \
--header 'client-id: your-client-id' \
--header 'private-key: your-private-key' \
--header 'secret: your-secret' \
--form 'files=@/path/to/file1.pdf' \
--form 'files=@/path/to/file2.pdf'import requests
url = 'https://app.sbai.cloud/api/external/upload'
headers = {
'client-id': '0fbc9cf2-595a-4068-a643-a58d764514df',
'private-key': 'pk-5d72029b',
'secret': 'sk-5d72029b34dbc6c89f837ec8f2413b734fd37b2a681bd2f58d'
}
files = [
('files', open('/path/to/file1.pdf', 'rb')),
('files', open('/path/to/file2.pdf', 'rb'))
]
response = requests.put(url, headers=headers, files=files)
print(response.json()){
"message": "The files has been uploaded and is being processed. Please wait a moment."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}⌘I